﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function AgeDataSelection( )
		SetDataFolder root:
			String/G G_Site
			String Site = G_Site, FldrList = FolderList( "*" ), Fldr, Age, Depth
			Variable i
			Prompt Site, "Site:"
			DoPrompt "AgeDataSelection", Site; AbortOnValue V_Flag, 0
			G_Site = Site
		NewDataFolder/O/S $Site + "_AgeDepthFit"
			Make/O/N = 0 $Site + "_AgeData4Fit", $Site + "_DepthData4Fit"
			WAVE AgeWv4Fit = $Site + "_AgeData4Fit", DepthWv4Fit = $Site + "_DepthData4Fit"
			For( i = 0; 1; i += 1 )
				Prompt Fldr, "Folder with age and depth waves to add for fitting:", popup, "root;" + FldrList
				DoPrompt "AgeDataSelection", Fldr; AbortOnValue V_Flag, 0
		SetDataFolder	$"root:" + Fldr
				Prompt Age, "Select Age Wave:", popup, WaveList( "*", ";", "" )
				Prompt Depth, "Select Depth Wave:", popup, WaveList( "*", ";", "" )
				DoPrompt "AgeDataSelection", Age, Depth; AbortOnValue V_Flag, 0
				Concatenate/NP Age + ";", AgeWv4Fit
				Concatenate/NP Depth + ";", DepthWv4Fit
				DoAlert/T = "More Data?", 1, "Do you want to add more data?"
				If( V_Flag > 1 )
					Break
				EndIf
			
			EndFor	
	
		SetDataFolder root:

	End