#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	





	Function Append_Selected_Splice_Lines()
		SetDataFolder root:  						// Sets pointer to root: where Globals reside
			String/G  G_Site					// Sets value of G_Site
			Variable i = 0
			PauseUpdate;
			DoAlert 1, "Did You Select the Splice_Lines in the Data Browser?"  // Check to be sure proper waves are selected
			If(V_Flag==2)
				Abort("Select Core Images and Run Again.")
			EndIf
			For( i = 0 ; i < 20 ; i+=1 )							// Gets rid of previous splice lnes - if any were plotted
				RemoveFromGraph/Z Splice_Point_Value
			EndFor
			String FullWavePath
			i = 0
			Do													// This loop plots each of the splice lines selected
				FullWavePath = GetBrowserSelection(i)			// FullWavePath changes with each run through the loop
				If( StrLen( FullWavePath ) < 2 ) 				// When there are no more selected waves, the loop breaks
					Break
				EndIf
				
		// The following lines append each wave in turn and set up the splice line axis
				
				Execute "AppendToGraph/R=Splice_Line_Axis root:"+ G_Site +"_Splice_Lines:Splice_Point_Value vs " + FullWavePath
				ModifyGraph tick(Splice_Line_Axis)=3,noLabel(Splice_Line_Axis)=2;DelayUpdate
				ModifyGraph axisEnab(Splice_Line_Axis)={0,0.65},freePos(Splice_Line_Axis)=0;DelayUpdate
				SetAxis Splice_Line_Axis 0,1
				i += 1
			While(1)
		
		// These lines set the way each wave looks on the graph - sticks to 0 and color. Only the first 2 waves selected are set as stickes
		// to 0. If there are more, they must be manually set.
		
			ModifyGraph mode(Splice_Point_Value)=1,lsize(Splice_Point_Value)=2
			ModifyGraph mode(Splice_Point_Value#1)=1,lsize(Splice_Point_Value#1)=2
			ModifyGraph rgb(Splice_Point_Value)=(65535,65535,0)
	End
	
