#pragma rtGlobals=1		// Use modern global access method.

	Function Browser_Plot()
		SetDataFolder root:
			String XWave, YWave, LorR
			Variable i = 0
			String New_or_App, Axes = ""
			String WString = GetBrowserSelection( 0 ) + ";"
			WString = WString + GetBrowserSelection( 1 ) + ";"
			If( ItemsInList( WinList( "*", ";", "WIN:1" ) ) )
				Axes = AxisList( "" )
			EndIf			
			Preferences 1;
			PauseUpdate;
			Prompt XWave, "X Wave", popup, WString + "Calculated"
			Prompt YWave, "Y Wave", popup, WString
			Prompt 	New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt LorR, "Left (L) or Right (R) Axis?", popup, "L;R;" + Axes
			DoPrompt "Browser_Plot", XWave, YWave, New_or_App, LorR; AbortOnValue V_Flag, 0
			WAVE WX = $XWave, WY = $YWave
			If( Stringmatch( "New", New_or_App ) )
				 Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			If( StringMatch( "R", LorR ) )
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/R = $NameofWave( WY ) WY 
				Else
					AppendToGraph/R = $NameofWave( WY ) WY vs WX
				EndIf
				Label  $NameofWave( WY ) NameofWave( WY ) 
				ModifyGraph lblPos( $NameofWave( WY ) ) = 50,freePos( $NameofWave( WY ) ) = 0
			EndIf
			If( StringMatch( "L", LorR ) )
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/L = $NameofWave( WY ) WY 
				Else
					AppendToGraph/L = $NameofWave( WY ) WY vs WX
				EndIf		
				Label  $NameofWave( WY ) NameofWave( WY ) 
				ModifyGraph lblPos( $NameofWave( WY ) ) = 50,freePos( $NameofWave( WY ) ) = 0
			EndIf
			If ( !StringMatch( "L", LorR ) && !StringMatch( "R", LorR ) )
				If( Stringmatch( "Calculated", XWave ) )
					AppendToGraph/L = $LorR WY 
				Else
					AppendToGraph/L = $LorR WY vs WX
				EndIf	
			EndIf
			ModifyGraph mirror = 2
	End
	
