#pragma rtGlobals=3		// Use modern global access method and strict wave access.
	
	//  THis function uses the concatenated tie lists in the individual Hole Tie_Point folders
	
	Function CCSF_2_OffSplice() 
		SetDataFolder root:
		String/G G_Site, G_Hole, G_Technique, G_CCSF
		String Hole = G_Hole, Technique = G_Technique, CCSF = G_CCSF	
		Prompt Hole "Hole"
		Prompt Technique "Technique"
		Prompt CCSF "Depth Scale ( e.g. CCSF )"
		DoPrompt "CCSF_2_OffSplice", Hole, Technique, CCSF; AbortOnValue V_Flag, 0
		G_Hole = Hole, G_Technique = Technique, G_CCSF = CCSF
		CCSF_2_OffSplice_F( Hole, Technique, CCSF )
		print "CCSF_2_OffSplice_F(\"" + Hole +"\", \"" + Technique +"\", \"" + CCSF + "\" )"
	End
		
	Function CCSF_2_OffSplice_F( Hole, Technique, CCSF )
		String Hole, Technique, CCSF
		String Site = RemoveEnding( Hole )
		SetDataFolder root:
			PauseUpdate
			String Folder = "root:"+Site+"_"+Technique
			String TiePointFolder = "root:"+Hole+"_Tie_Points"
		SetDataFolder TiePointFolder
			Wave CTies = $Hole + "_Core_Ties" 
			Wave STies = $Hole + "_Splice_Ties" 
			Wave CNumTies = $Hole + "_Ties_CoreNum" 			
		SetDataFolder Folder
			WAVE CCSFinput =  $Hole +"_"+ Technique +"_"+ CCSF
			WAVE Coreinput =  $Hole +"_"+ Technique +"_Core"	
			Make/O/N=( NumPnts( CoreInput ) ) $Hole +"_"+ Technique +"_"+ CCSF + "Offspl" = NAN
			WAVE CCSFadjWave = $Hole +"_"+ Technique +"_"+ CCSF + "Offspl"		
		SetDataFolder root:
			Make/O/N=( NumPnts( CoreInput ) ) CCSFSelection = NAN, InterpWave = NAN
			CoreInput= CoreInput == 0 ? NaN : CoreInput	
			WaveStats/Q  CoreInput
			Variable CoreMin = V_min
			Variable CoreMax = V_max
			Variable i 
			For ( i = CoreMin; i <= CoreMax; i += 1 )
				Duplicate/O CNumTies  SingleCoreTies, SingleCoreSplices
				SingleCoreTies = ( CNumTies == i ) ? CTies : NaN	
				SingleCoreSplices = ( CNumTies == i ) ? STies : NaN	
				Sort SingleCoreSplices SingleCoreTies, SingleCoreSplices
				WaveStats/Q SingleCoreSplices
				Redimension/N= ( V_Npnts ) SingleCoreSplices, SingleCoreTies
				CCSFSelection = (CoreInput == i) ? CCSFinput : NaN	
				InterpWave = interp(CCSFSelection, SingleCoreTies, SingleCoreSplices)
				CCSFadjWave = (CoreInput == i ) ? InterpWave : CCSFadjWave
			EndFor	
			KillWaves CCSFSelection, InterpWave, SingleCoreTies, SingleCoreSplices
	End
