#pragma rtGlobals=1		// Use modern global access method.


// This macro concatenates all waves in the active directory that have the
// "Identifier", which can include wildcards (*). It also forms a second wave
//  with the concatenated x data. 

Macro CatFiles(Identifier,OutPutFile)
String S1,S2,S3,Identifier=G_S4,OutPutFile=G_S5
Variable i
Silent 1;
G_S4=Identifier; G_S5=OutPutFile
S3=OutPutFile+"_Xwave"
Make/O/N=0 $OutPutFile, $S3
S1= WaveList(Identifier,";","")
Do
	S2=StringFromList(i,S1)
	If(StrLen(S2)<2)
		Break
	EndIf
	Duplicate/O $S2, $S2+"_x"
	$S2+"_x"=x
	printf "%d  ", i
	i+=1;
While(1)
printf "\r"
Concatenate/NP/O S1 , $OutPutFile
S1= WaveList("*_x",";","")
Concatenate/NP/O S1 , $S3
//Concatenate/NP/O S1 , Allx
i=0
Do
	S2=StringFromList(i,S1)
	If(StrLen(S2)<2)
		Break
	EndIf
	KillWaves $S2
	i+=1
While(1)
EndMacro