#pragma rtGlobals=1		// Use modern global access method.


Macro Hole_Single_Image(S_Hole,Total_Depth)
String S_Hole=G_Hole,Folder,S_Core
Variable i,Total_Depth=G_v1,Depth_Resolution,Y_Resolution,Y_Points,Core_Bottom,Core_Top
PauseUpdate;
Silent 1;
G_Hole=S_Hole
G_V1=Total_Depth
Folder="root:"+S_Hole+"_S2"
Do
	S_Core= GetIndexedObjName(Folder,1,i)
	If(i==0)
		Depth_Resolution=DimDelta($Folder+":"+S_Core,0)
		Y_Resolution=DimDelta($Folder+":"+S_Core,1)
		Y_Points=DimSize($Folder+":"+S_Core,1)
		Make/B/O/N=(( total_depth/depth_resolution),Y_Points,3) $S_Hole+"_Image"
		$S_Hole+"_Image"=NaN
		SetScale/P x 0,Depth_Resolution,"m", $S_Hole+"_Image"
		SetScale/P y DimOffset($Folder+":"+S_Core,1),Y_Resolution,"", $S_Hole+"_Image"
	EndIf	
	If(StrLen(S_Core)<2)
		Break;
	EndIf
	Core_Top=DimOffset($Folder+":"+S_Core,0)
	Core_Bottom= DimOffset($Folder+":"+S_Core,0)+(DimDelta($Folder+":"+S_Core,0)*DimSize($Folder+":"+S_Core,0))	
	$S_Hole+"_Image"(Core_Top,Core_Bottom)()()=$Folder+":"+S_Core(x)(y)(z)	
	i+=1
While(1)	
EndMacro
