﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// this function sorts the ISOBEN_COMBINE isotope data into one folder, please sort yourself depending if you have CCSF or CCSFOffspl

Menu "Macros"
"ISOBEN_COMBINE_All"
End

Function ISOBEN_COMBINE_All()
	SetDataFolder root:
		String/G G_Site, G_Hole
		String Hole = G_Hole
		Prompt Hole,"Site and Hole"
		DoPrompt "ISOBEN_COMBINE_All", Hole; AbortonValue V_Flag,0
		String Site = Removeending(Hole)
		G_Site = Site
		G_Hole = Hole
	NewDataFolder/O/S $Site + "_ISOBENall_combined"	
		KillWaves/A
	SetDataFolder root:$Site + "_ISOBENall"		
		String AllWaves = Wavelist(Hole+"*",";","")
		variable i=0
		For (i=0; i<itemsinlist (AllWaves); i+=1)
			String Datawave = stringfromlist (i, AllWaves)
			String Data = DataWaveData(Datawave)
			String CombineMe = wavelist ("*_"+Data,";","")
			Concatenate/NP CombineMe, root:$Site + "_ISOBENall_combined":$Site+"S_ISOBENall_"+ Data
		Endfor
	SetDataFolder root:
	   Make_DataTable_F (Site+"S", Site+"_ISOBENall_combined" )
	SetDataFolder root:
End