#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Macro Plot_Tie_Points(Hole,Core)
	String Hole=G_Hole; SetDataFolder root:
	Variable Core=G_Core
	Prompt Hole, "Hole:"
	Prompt Core, "Core:"
	Silent 1; PauseUpdate;
	SetDataFolder $":"+Hole+"_S2"
	Variable Core_Pixel_Length, i=0
	String Image, Core_Tie_Wave, Splice_Tie_Wave
	If(Core<10)
		Image="S2_"+Hole+"_0"+Num2Str(Core)
	Else
		Image="S2_"+Hole+"_"+Num2Str(Core)
	EndIf
	Core_Tie_Wave=Image+"_Core_Ties"; Splice_Tie_Wave=Image+"_Spliced_Image_Ties"
	WaveStats/Q $Splice_Tie_Wave
	Core_Pixel_Length= ((V_Max-V_Min)*1000)+1
	Make/B/U/O/N=(Core_Pixel_Length ,200,3) $Image+"_Str"; 
	SetScale x V_Min,V_Max,"", $Image+"_Str"; SetScale y 0,1,"", $Image+"_Str";
	RemoveImage/Z $Image+"_Str"; AppendImage/L=Stretch $Image+"_Str";
	RemoveImage/Z $Image; EXECUTE "AppendImage/L="+Hole+" "+Image;
	RemoveFromGraph/Z Ones, Ones#1, Ones#2, Ones#3, Ones#4, Ones#5, Ones#6,Ones#7,Ones#8,Ones#9,Ones#10
	AppendToGraph/L Ones vs $Splice_Tie_Wave; EXECUTE "AppendToGraph/L="+Hole+" Ones vs "+Core_Tie_Wave
	ModifyGraph tick(Stretch)=3,mirror=2,noLabel(Stretch)=1,axisEnab(Stretch)={0.66,1};
	ModifyGraph mode(Ones)=3;	ModifyGraph mode(Ones#1)=3;
	ModifyGraph textMarker(Ones)={Numbers,"default",0,0,5,0.00,0.00};
	ModifyGraph textMarker(Ones#1)={Numbers,"default",0,0,5,0.00,0.00}
	WaveStats/Q $Splice_Tie_Wave
	Do
		Duplicate/O/R=($Core_Tie_Wave[i],$Core_Tie_Wave[i+1]) $Image Temp
		SetScale x ($Splice_Tie_Wave[i]),($Splice_Tie_Wave[i+1]),"", Temp;DelayUpdate
		$Image+"_Str"(($Splice_Tie_Wave[i]),($Splice_Tie_Wave[i+1]))()()=Temp(x)(y)(z)
		i+=1
	While(i<V_Npnts)
	Killwaves/Z Temp;
	SetDataFolder root:;
EndMacro