#pragma rtGlobals=1		// Use modern global access method.

// Cursor A goes on the spliced image, Cursor B goes on the core image
	
	Function Record_Image_Ties()
		SetDataFolder root:
			WAVE Splice_Ties, Core_Ties//, Ones, Numbers
			String Spliced_Image
			String Core = CsrWave( B )[ 3, inf]
			String Hole = DataWaveTechnique( CsrWave( B ) )
		SetDataFolder Extras
			WAVE Ones, Numbers
		NewDataFolder/O/S $"root:" + Hole + "_Tie_Points"
			WAVE Numbers, Ones, CTies = $Core + "_Core_Ties", STies = $Core + "_Splice_Ties"
		SetDataFolder root:
			PauseUpdate;
			DoWindow/F Interpolated_Window
			If( WaveDims( CsrWaveRef( B )  ) < 2 ) 
				ABORT "Cursors are on a Data Wave, not an Image"
			EndIf		
			InsertPoints 0, 1, Splice_Ties; Splice_Ties[0] = hcsr(a)
			InsertPoints 0,1, Core_Ties; Core_Ties[0] = hcsr(b)
			Sort Core_Ties Core_Ties; Sort Splice_Ties Splice_Ties
			Duplicate/O Core_Ties CTies
			Duplicate/O Splice_Ties STies
		SetDataFolder Extras
			Duplicate/O Splice_Ties Ones, Numbers 
			Ones = .5;
			Numbers = x;
		SetDataFolder root:
	End

