#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	
	*********************************************************
	
	Function Site_2_Site_MiscData_Stretch()
		SetDataFolder root:
		String S_BaseTies, S_StretchTies, Technique = "GRA"
		Prompt S_BaseTies, "Base Ties", popup, WaveList( "*_Ties", ";", "" )
		Prompt S_StretchTies, "Stretch Ties", popup, WaveList( "*_Ties", ";", "" )
		Prompt Technique, "Technique"
		DoPrompt "Site_2_Site_MiscData_Stretch", S_BaseTies, S_StretchTies, Technique
		WAVE BaseTies = $S_BaseTies, StretchTies = $S_StretchTies
		String StretchSite = DataWaveHole( S_StretchTies ), BaseSite = DataWaveHole( S_BaseTies )
		SetDataFolder $StretchSite + "_" + Technique
		String S_CCSF
		Prompt S_CCSF, "Select CCSF Wave to Stretch", popup, WaveList( "*CCSF*", ";", "" )
		DoPrompt "Site_2_Site_MiscData_Stretch", S_CCSF
		Duplicate/O $S_CCSF $S_CCSF + BaseSite
		Wave CCSFs = $S_CCSF + BaseSite; WAVE CCSF = $S_CCSF
		CCSFs = interp( CCSF, StretchTies, BaseTies)	
		Variable V_BSdeep
		V_BSdeep = WaveMax(BaseTies)			//Make and define the V_BSdeep variable as the deepest tiepoint in BaseTies.
		CCSFs = CCSFs > V_BSdeep ? NaN : CCSFs			//When CCSFs is greater than V_BSdeep, return NaNs
		SetDataFolder root:
	End
		
	*********************************************************
