#pragma rtGlobals=1		// Use modern global access method and strict wave access.
		
	Menu "CODD_Data"
		SubMenu "Plotting"
			"Append_Data"
			"Append_Splice_Data"
			"Append_Selected_Data"
			"Browser_Plot"
			"Set_Data_Range"
			"Hide_Trace"
			"Change_Depth_Range/5",/Q
			"BioPMag_Plot"
			"Stretched_BioPMag_Plot"
//			 "Update_Stretched_BioPMag_Plot"
			"Tag_CursorA"
			"Plot_Splice_Lines"
		End
		SubMenu "Processing"
			"Add_Offsets"
			"Calculate_CCSF_Wave"
			"Splice_Data"
			"Add_NaNs",/Q
			"Remove_NaNs",/Q
			"Sort_By_Core"
			"Sort_By_Data"
			"Calculate_Splice_Lines"
		End
		SubMenu "Depth_To_Age"
			"DataDepth2Age"
			"AgeDataSelection"
			"AgeDepthFit"
		End
		SubMenu "External_InOut"
			 "Load_Shared_Folder"
			 "Load_Shared_Data"
			 "Share_Single_Wave"
			 "Save_Waves_2_External_Folder"
		End
		"Make_DataTable"
		"Splice_Tie_Table"
		"Splice_Interval_Table"
		"Save_Cursor_Positions"
		"Cursors_2_Saved_Positions"
		SubMenu "Splice_Format_Conversion"
			"Splice_Tie_Data_2_Intervals"
			"Splice_Interval_Data_2_Ties"
		End
	End
	
#include "Add_Offsets"
#include "Add_or_Remove_NaNs"
#include "AgeDataSelection"
#include "AgeDepthFit"
#include "Append_Data"
#include "BioPmag_Plot"
#include "Browser_Plot"
#include "Calculate_CCSF_Wave"
#include "Calculate_Splice_Lines"
#Include "Change_Depth_Range"
#Include "Depth_2_Age"
#Include "Hide_Trace"
#Include "Hole_2_Index"
#Include "KillSpliceWaves"
#include "Load_Shared_Data"
#include "Make_DataTable"
#include "Plot_Splice_Lines"
#include "Save_Cursor_Positions"
#include "Save_Waves_2_External_Folder"
#include "Set_Data_Range"
#Include "Sort_By_Core"
#include "Splice_Table_Templates"
#include "Splice_Data_Conversion"
#include "Splice_Interval_Functions"
#include "Splice_Data"

