#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Menu "CODD_Site_2_Site"
		"Site_2_Site_Ties/1",/Q
		"Site_2_Site_Image_Stretch/O2"
		"Site_2_Site_Data_Stretch/2"
		"Delete_Ties/3"
		"AlignTiePointRange/4" 
		"Stretched_BioPMag_Plot"
		"Save_Cursor_Positions"
		"Cursors_2_Saved_Positions"
		SubMenu "Setup"
			"Site_2_Site_Image_SetUp"
			"Site_2_Site_Data_SetUp"
			"Append_Site_2_Site_Data"
			"BioPMag_Plot"
			"AgeModelTies"
			"AppendAgeModelTies"
		End
		SubMenu "Ties"
			"Site_2_Site_Ties/1",/Q
			"Delete_Ties/3"
			"Site_2_Site_CSITieList"
		End
		SubMenu "Stretching"
			"Site_2_Site_Image_Stretch/O2"
			"Site_2_Site_Data_Stretch/2"
			"Site_2_Site_DepthInterp"
//			"Site2Site2Site_DepthCalc"
		End
		SubMenu "Datum Plotting"
			"BioPMag_Plot"
			"Stretched_BioPMag_Plot"
			"TagText_ReSize"
		End
	End


#include "AlignTiePointRange"
#include "Append_Site_2_Site_Data"
#include "Delete_Ties"
#include "Site_2_Site_AgeModelTies"	
#include "Site_2_Site_CSITieList"
#include "Site_2_Site_Ties"
#include	"Site_2_Site_Image_Stretch"
#include	"Site_2_Site_Image_SetUp"
#include	"Site_2_Site_Data_SetUp"
#include	"Site_2_Site_Data_Stretch"
#include "Site_2_Site_DepthInterp"
#include "Site_2_Site_Tie_Vals"
#include "Site2Site2Site_DepthCalc"
#include "Site_2_Site_TieDeltaStr"
#include "TagText_ReSize"

#include "Includes_CODD_Menus"

