#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Menu "CODD Spectral"
	"Next_Spectrum/O2"
	"Spectral_Poly_Fit"
	"Make_Interpolated_Wave"
	"Make_Residual"
	"Spectrogram"
	"Age_Spectrogram"
	"Extract_Power"
	"AppendPolyPredictions"
	"AppendFreqPicks"
	"Power_CsrA_CsrB"
	"Spectral_SetUp"
	"FrequencyTable"
	"Power_Window"
	"Norm_Amp"
End

#include "Age_Depth_Plot"
#include "Age_Spectrogram"
#include "AppendFreqPicks"
#include "AppendPolyPredictions"
#include "Data_Wave_Age_Calc"
#include "Extract_Power"
#include "FolderList"
#include "FrequencyTable"
#include "Make_Interpolated_Wave"
#include "Make_Residual"
#include "Next_Spectrum"
#include "Spectral_Poly_Fit"
#include "Power_CsrA_CsrB"
#include "Print_Cursor_Period"
#include "SaveWindowMacro"
#include "Spectral_SetUp"
#include "SPECTROGRAM"
#include "Spectral_Windows"
