#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function AppendData4Stretching()
		SetDataFolder root:
			WAVE Core_Ties, Splice_Ties
			String/G G_Hole, G_Data, G_Technique, G_New_or_App
			String Hole = G_Hole, Data = G_Data, Technique = G_Technique, New_or_App = G_New_or_App, Axis
			Prompt Hole, "Hole"
			Prompt Technique, "Technique"
			Prompt Data, "Data"
			Prompt New_or_App, "New Plot or Append?", popup, "New;Append"	
			DoPrompt "AppendData4Stretching", Hole, New_or_App, Technique, Data; AbortOnvalue V_Flag, 0
			String Site = RemoveEnding( Hole )
		SetDataFolder $Site + "_" + Technique
			If( !Exists( Site + "S" + "_" + Technique + "_CCSF" ) )
			SetDataFolder root:
				ABORT "This function uses the the \"S\" convention for spliced data ( e.g. U925S_GRA_CCSF ). You can use \"Batch_Rename_Waves\" under the Macros menu to rename the \" _Splice_\" waves."
			EndIf
		SetDataFolder root:
			G_Hole = Hole, G_Data = Data, G_Technique = Technique
			If( Stringmatch( "New", New_or_App ) )
				Preferences 1;
				Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			Append_Data_F( Site + "S",  Technique, Data, "CCSF", "B", "Append",  33  ,  66  , "R" )
			Append_Data_F( Hole, Technique, Data, "CCSF", "B", "Append",  0  ,  33  , "R" )
			If( NumPnts( Splice_Ties ) > 1 )
	 				StretchOffSpliceData_F( Hole, Technique, Data )
				NewDataFolder/O/S root:Xtras
					WAVE CCSFStr = $Hole + "_" + Technique + "_CCSFstr"
					WAVE DataStr = $Hole + "_" + Technique + "_" + Data + "str"
					Axis = "Str_" + Data
					AppendToGraph/R = $Axis DataStr vs CCSFStr
					ModifyGraph axisEnab($Axis)={0.66,1},freePos($Axis)=0
					Label $Axis Axis
					ModifyGraph lblPos($Axis)=70
			Else
				NewDataFolder/O/S root:Xtras
					Make/O/N = 0 $Hole + "_" + Technique + "_CCSFstr"
					Make/O/N = 0 $Hole + "_" + Technique + "_" + Data + "str"
					WAVE CCSFStr = $Hole + "_" + Technique + "_CCSFstr"
					WAVE DataStr = $Hole + "_" + Technique + "_" + Data + "str"
					Axis = "Str_" + Data
					AppendToGraph/R = $Axis DataStr vs CCSFStr
					ModifyGraph axisEnab($Axis)={0.66,1},freePos($Axis)=0
					Label $Axis Axis
					ModifyGraph lblPos($Axis)=70				
			EndIf
		SetDataFolder root:	
			Cursor A, $Site + "S_" + Technique + "_" + Data, LeftX( $Site + "S_" + Technique + Data )
			Cursor B, $Hole + "_" + Technique + "_" + Data, LeftX( $Hole + "_" + Technique + Data )
			Set_Cursors_Red()
			KillWaves/Z CTies, STies
	End
	
	
//	Function AppendData4Stretching()
		SetDataFolder root:
			String/G G_Hole, G_Data, G_Technique, G_New_or_App
			String Hole = G_Hole, Data = G_Data, Technique = G_Technique, New_or_App = G_New_or_App
			Prompt Hole, "Hole"
			Prompt Technique, "Technique"
			Prompt Data, "Data"
			Prompt New_or_App, "New Plot or Append?", popup, "New;Append"	
			DoPrompt "AppendData4Stretching", Hole, New_or_App, Technique, Data; AbortOnvalue V_Flag, 0
			String Site = RemoveEnding( Hole )
		SetDataFolder $Site + "_" + Technique
			If( !Exists( Site + "S" + "_" + Technique + "_CCSF" ) )
			SetDataFolder root:
				ABORT "This function uses the the \"S\" convention for spliced data ( e.g. U925S_GRA_CCSF ). You can use \"Batch_Rename_Waves\" under the Macros menu to rename the \" _Splice_\" waves."
			EndIf
		SetDataFolder root:
			G_Hole = Hole, G_Data = Data, G_Technique = Technique
 			StretchOffSpliceData_F( Hole, Technique, Data )
			If( Stringmatch( "New", New_or_App ) )
				Preferences 1;
				Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			Append_Data_F( Hole, Technique, Data, "CCSF", "B", "Append",  0  ,  33  , "R" )
			Append_Data_F( Site + "S",  Technique, Data, "CCSF", "B", "Append",  33  ,  66  , "R" )
			Append_Data_F(Hole, Technique, Data + "str", "CCSFstr", "B", "Append",  66  ,  100  , "R" )		
		SetDataFolder root:	
	End