#pragma rtGlobals=1		// Use modern global access method.

Macro Line_Profile(S_Image, Width)
String S_Image;
Variable Width=10;
Prompt S_Image, "Image:", popup wavelist("*",";","");
Variable/G X_Left=(DimOffset($S_Image,0));
Variable/G X_Right=(DimOffset($S_Image,0)+DimDelta($S_Image,0)*(DimSize($S_Image,0)-1))
Variable Y_Top=DimOffset($S_Image,1)+DimDelta($S_Image,1)*DimSize($S_Image,1)/2
Variable Y_Bottom=Y_Top;
Silent 1;
PauseUpdate;
	Print x_left,x_right
Make/o/n=2 Xpoints={X_Left,X_Right}, Ypoints={Y_Top,Y_Bottom};
ImageLineProfile xwave=xpoints, ywave=ypoints, srcwave=$S_Image, width=Width;
Make/o/n=(dimsize(M_ImageLineProfile,0)) R_Profile, G_Profile, B_Profile;
R_Profile=M_ImageLineProfile[p][0];
G_Profile=M_ImageLineProfile[p][1];
B_Profile=M_ImageLineProfile[p][2];
SetScale/P x (DimOffset($S_Image,0)),DimDelta($S_Image,0),"", R_Profile, G_Profile, B_Profile;
Imagetransform RGB2HSL $S_Image;
ImageLineProfile xwave=xpoints, ywave=ypoints, srcwave=M_RGB2HSL, width=Width;
Make/o/n=(dimsize(M_ImageLineProfile,0)) H_Profile, S_Profile, L_Profile;
H_Profile=M_ImageLineProfile[p][0];
S_Profile=M_ImageLineProfile[p][1];
L_Profile=M_ImageLineProfile[p][2];
SetScale/P x (DimOffset($S_Image,0)),DimDelta($S_Image,0),"", H_Profile, S_Profile, L_Profile;
Killwaves M_ImageLineProfile, W_LineProfileX,W_LineProfileY, M_RGB2HSL, Xpoints, Ypoints;
EndMacro