#pragma rtGlobals=1		// Use modern global access method.

//		Choose and external folder of IGOR binary data waves and a new folder of the same name will be added under root:.
	
	Function Load_Shared_Folder( )
		SetDataFolder root:
			String/G G_Copy
			String  FileName, Copy = G_Copy
			Prompt Copy, "Share (S) or Copy (C):"
			DoPrompt "Load_Shared_Folder", Copy; AbortonValue V_Flag, 1
			G_Copy = Copy
			PauseUpdate;
			NewPath/O/Q/Z  External_Folder
			PathInfo  External_Folder
			String PathName = ParseFilePath( 0, S_Path, ":", 1, 0 )
			If( StrLen( PathName ) < 1 )
				ABORT
			EndIf
			NewPath/O/Z  $PathName, S_Path
			KillPath/Z External_Folder
			NewDataFolder/O/S $PathName
			Variable i = 0, WavesInFolder
			WavesInFolder = ItemsInList( IndexedFile( $PathName, -1, ".ibw" ) )
			Do
				FileName = IndexedFile( $PathName, i, ".ibw" )
				If( StringMatch( Copy, "C" ) || ( StringMatch( Copy, "c" ) ) )
					LoadWave/H /Q /O /P = $PathName FileName
				Else
					LoadWave/Q /O /P = $PathName FileName
				EndIf
				i += 1;
			While (i < WavesInFolder )
		SetDataFolder root:
	End
	
	
	****************************************************************

//  To use this function, first create a destination Dafa Folder in the DataBrowser and make it the active folder.
//		Then choose and external folder of IGOR binary data waves.
	
	Function Load_Shared_Data( )
			DFREF datadfr = GetDataFolderDFR()
		SetDataFolder root:
			String/G G_Copy
		SetDataFolder datadfr
			String  FileName, Copy = G_Copy
			Prompt Copy, "Share (S) or Copy (C):"
			DoPrompt "Load_Shared_Data", Copy; AbortonValue V_Flag, 1
			PauseUpdate;
			G_Copy = Copy
			Variable i = 0, WavesInFolder
			NewPath/Q/O External_Folder
			PathInfo  External_Folder
			String PathName = ParseFilePath( 0, S_Path, ":", 1, 0 )
			NewPath/O  $PathName, S_Path
			KillPath External_Folder
			WavesInFolder = ItemsInList( IndexedFile( $PathName, -1, ".ibw" ) )
			Do
				FileName = IndexedFile( $PathName, i, ".ibw" )
				If( StringMatch( Copy, "C" ) || ( StringMatch( Copy, "c" ) ) )
					LoadWave/H /Q /O /P = $PathName FileName
				Else
					LoadWave/Q /O /P = $PathName FileName
				EndIf
				i += 1;
			While (i < WavesInFolder )
		SetDataFolder root:
		Variable S1 = GetRTError( 1 )
	End
	
	
//	Function Load_Shared_Data( )
		DFREF datadfr = GetDataFolderDFR()
		SetDataFolder root:
		String/G G_S1
		SetDataFolder datadfr
		String  FileName, Copy = G_S1
		Prompt Copy, "Share (S) or Copy (C):"
		DoPrompt "Load_Shared_Data", Copy; AbortonValue V_Flag, 1
		PauseUpdate;
		G_S1 = Copy
		Variable i = 0, WavesInFolder
		NewPath/Q/O External_Folder
		WavesInFolder = ItemsInList( IndexedFile( External_Folder, -1, ".ibw" ) )
		Do
			FileName = IndexedFile( External_Folder, i, ".ibw" )
			If( StringMatch( Copy, "C" ) || ( StringMatch( Copy, "c" ) ) )
				LoadWave/H /Q /O /P = External_Folder FileName
			Else
				LoadWave/Q /O /P = External_Folder FileName
			EndIf
			i += 1;
		While (i < WavesInFolder )
		SetDataFolder root:
	End
	
	****************************************************************
	
	Function Share_Single_Wave()
		LoadWave/O/Q
	EndMacro

