#pragma rtGlobals = 1		// Use modern global access method.
	
	Function Sort_By_Core( )
		SetDataFolder root:
			String Hole, Technique
			String/G G_Hole, G_Technique
			Hole = G_Hole; Technique = G_Technique
			String Folder, Site, Wlist, WName
			Variable i
			PauseUpdate;
			Prompt Hole, "Hole"
			Prompt Technique, "Technique"
			DoPrompt "Sort_By_Core", Hole, Technique; AbortOnValue V_Flag, 0
			G_Hole = Hole; G_Technique = Technique
			Folder = RemoveEnding( Hole ) + "_" + Technique
			Sort_By_Core_F( Hole, Technique )
			Print "Sort_By_Core_F( \"" + Hole + "\", \"" + Technique + "\" )"
	End

-------------------------------------------------------------------------------------------
	
	Function Sort_By_Core_F( Hole, Technique )
		String Hole, Technique
			If( StrSearch( Hole, "S", 0, 2 ) + 1 || StrSearch( Hole, "Splice", 0, 2 ) + 1 )
					ABORT "Sort_By_Core won't work for Spliced Data since the same core numbers from different holes are included.\r\rTry sorting by CCSF."
			EndIf
		SetDataFolder root:
			String/G G_Hole, G_Technique
			String Folder, Site, Wlist, WName
			Variable i
			PauseUpdate;
			G_Hole = Hole; G_Technique = Technique
			Folder = RemoveEnding( Hole ) + "_" + Technique
		SetDataFolder $Folder
			Wave Core = $Hole + "_" + Technique + "_Core"
			Wave Section = $Hole + "_" + Technique + "_Section"
			Wave Interval = $Hole + "_" + Technique + "_Interval"
			WList = WaveList( Hole + "*", ";", "" )
			For( i = 0; i < ItemsInList( WList ); i += 1 )
				WName = StringFromList( i, WList )
				If( !( ( StringMatch( WName, "*Core*" ) ) || ( StringMatch( WName, "*Section*" ) ) || ( StringMatch( WName, "*Interval*" ) ) )	 )	
					Sort { Core, Section, Interval } $WName
				EndIf
			EndFor
			Sort { Core, Section, Interval } Core, Section, Interval
		SetDataFolder root:
	End

-------------------------------------------------------------------------------------------
	
	Function Sort_By_Data( )
		SetDataFolder root:
			String/G G_Hole, G_Technique, G_Data, G_Folder
			String Hole = G_Hole, Technique = G_Technique, Data = G_Data, Folder, Site, WvList, WvName, KeyWv
			Variable i
			PauseUpdate;
			Prompt Hole, "Hole"
			Prompt Technique, "Technique"
			Prompt Data, "Data"
			DoPrompt "Sort_By_Data", Hole, Technique, Data; AbortOnValue V_Flag, 0
			Sort_By_Data_F( Hole, Technique, Data )
			Print "Sort_By_Data_F( \"" + Hole + "\", \"" + Technique + "\", \"" + Data + "\" )"
	End
	
------------------------------------------------------------------
	
	Function Sort_By_Data_F( Hole, Technique, Data )
		String Hole, Technique, Data
		SetDataFolder root:
			String/G G_Hole, G_Technique, G_Data, G_Folder
			String Folder, Site, WvList, WvName, KeyWv
			Variable i
			PauseUpdate;
			G_Hole = Hole; G_Technique = Technique; G_Data = Data
			Folder = RemoveEnding( Hole ) + "_" + Technique
			KeyWv = Hole + "_" + Technique + "_" + Data
		SetDataFolder root:$Folder
			WAVE SortKey = $KeyWv
			If( !WaveExists( Sortkey ) )
				ABORT "I can't find the key wave " + KeyWv + "_ in the datafolder " + Folder
			EndIf
			WvList = WaveList( Hole + "*", ";", "" )
			For( i = 0; i < ItemsInList( WvList ); i += 1 )
				If( !StringMatch( StringFromList( i, WvList ), KeyWv ) )
					WAVE Wv = $StringFromList( i, WvList )
					Sort SortKey Wv
				EndIf
			EndFor	
			Sort SortKey SortKey
		SetDataFolder root:
	End
	
